Create a self-contained agent package
Mints a stateless agent package (bundle manifest + install steps). There is no GET list for this path.
Body·
required
application/json
Agent package fields
- Type: stringnamemax length:64required
- Type: stringdescription
- Type: stringowner
_wallet - additionalPropertyType: anythingproperty
Name
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/agents
curl https://api.musebook.trade/api/agents \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"name": "",
"description": "",
"owner_wallet": "",
"additionalProperty": "anything"
}'
{
"ok": true,
"agent_id": "string",
"bundle": {
"tarball_url": "string",
"sha256": "string",
"bytes": 1,
"skills": 1,
"connectors": 1,
"additionalProperty": "anything"
},
"install": [
"string"
],
"additionalProperty": "anything"
}